<?php

namespace sellvia\Media;

class MediaAds extends Media{

    public function __construct() {

        parent::__construct();
    }

    public function getProduct( $post_id ){

        global $wpdb;

        return $wpdb->get_row(
            $wpdb->prepare(
                "SELECT pr.* , pm.* , pr.post_id

                  FROM {$wpdb->ads_products} pr
                    INNER JOIN {$wpdb->posts} posts ON pr.post_id = posts.ID
                    LEFT JOIN {$wpdb->ads_products_meta} pm ON pm.post_id = pr.post_id
                  WHERE pr.post_id <> 0 AND pr.post_id = %d", $post_id
            ),
            ARRAY_A
        );
    }
}