<?php

namespace sellvia\Shipping;

class ShippingWoo extends Shipping {

    public $woocommerce_shipping_method_instance;

    public function __construct(){

        parent::__construct();

        $this->init();

    }

    public function init(){

        add_action('woocommerce_shipping_init',  [$this, 'sellvia_shipping_method_init'], 100 );

    }

    public function sellvia_shipping_method_init(){

        $woocommerce_shipping_method_instance = new ShippingWooMethod( $this->settings, $this );
    }

}